<?php

namespace app\command;

use app\model\Member;
use app\model\MemberAccount;
use app\model\Order;
use app\model\PayDetail;
use support\Db;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputArgument;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Webman\Event\Event;

class TestCommand extends Command
{

    protected static $defaultName = 'TestCommand';
    protected static $defaultDescription = 'TestCommand Desc';

    /**
     * @return void
     */
    protected function configure()
    {
        // $this->addArgument('name', InputArgument::OPTIONAL, '余额账户转福利账户');
        $this->addArgument('name', InputArgument::OPTIONAL, '福利账户余额清空');
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        Event::dispatch('order_pay.member_level.up','MR20240624091039F5HSLY');

        return self::SUCCESS;
    }
}